import request from '@/utils/request'

// 查询CCTV系统列表
export function listCctv(query) {
  return request({
    url: '/dev/cctv/list',
    method: 'get',
    params: query
  })
}

// 查询CCTV系统详细
export function getCctv(id) {
  return request({
    url: '/dev/cctv/' + id,
    method: 'get'
  })
}

// 新增CCTV系统
export function addCctv(data) {
  return request({
    url: '/dev/cctv',
    method: 'post',
    data: data
  })
}

// 修改CCTV系统
export function updateCctv(data) {
  return request({
    url: '/dev/cctv',
    method: 'put',
    data: data
  })
}

// 删除CCTV系统
export function delCctv(id) {
  return request({
    url: '/dev/cctv/' + id,
    method: 'delete'
  })
}
